/prices/native

Returns the USD price of a given native token

"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Join the discord to get your api key. https://discord.com/invite/kJd8W7Nh7e
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getPrice = async function() {
    const resp = await shards.prices.getNativePrice();
    console.log(resp)
}

getPrice();
Query Params
string
enum
required
Defaults to eth

The native token code

Allowed:
Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain